<?php

if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}
//
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
	'fluid_fpdf',
	'Pdf',
	'Fluid - PDF-Generator'
);
//
// Include flex forms
$pluginSignature = strtolower(\TYPO3\CMS\Core\Utility\GeneralUtility::underscoredToUpperCamelCase('fluid_fpdf')) . '_' . strtolower('Pdf');
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:fluid_fpdf/Configuration/FlexForms/Pdf.xml');
//
// Static template
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile('fluid_fpdf', 'Configuration/TypoScript', 'Fluid-FPDF (only required when using the PDF content element!)');
//
// Page module hook
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['cms/layout/class.tx_cms_layout.php']['tt_content_drawItem'][] = \CodingMs\FluidFpdf\Hooks\DrawItem::class;